// C Header File
// Created 7/23/2003; 6:20:40 PM

enum BackGrounds
{
WHITE,WHITELIGHT,WHITEDARK,WHITEBLACK,
LIGHT,LIGHTDARK,LIGHTBLACK,
DARK,DARKBLACK,
BLACK
};

static inline void MakeRandomFloorOrCeiling(unsigned short *addr, short ceiling)
{
	short a,b;
	long temp;
	long _FFFFFFFF = 0xFFFFFFFFL;

	for (a=0;a<6;a++)
	{
		unsigned long* dest = (long*)addr+a*48+(ceiling?0:24);
		for (b=0;b<24;b++,dest++)
		{
			switch(ceiling?ceilmode:floormode)
			{
			case WHITELIGHT:
			*dest |= rand_long();
			break;
			case WHITEDARK:
			*(dest+288) |= rand_long();
			break;
			case WHITEBLACK:
			temp = rand_long();
			*dest |= temp;
			*(dest+288) |= temp;
			break;
			case LIGHT:
			*(dest) |= _FFFFFFFF;
			break;
			case LIGHTDARK:
			*(dest) |= _FFFFFFFF;
			temp = rand_long();
			*dest ^= temp;
			*(dest+288) |= temp;
			break;
			case LIGHTBLACK:
			*dest |= _FFFFFFFF;
			*(dest+288) |= rand_long();
			break;
			case DARK:
			*(dest+288) |= _FFFFFFFF;
			break;
			case DARKBLACK:
			*dest |= rand_long();
			*(dest+288) |= _FFFFFFFF;
			break;
			case BLACK:
			*(dest) |= _FFFFFFFF;
			*(dest+288) |= _FFFFFFFF;
			break;
			}
		}
	}
}

static inline void SetUpCeilingAndFloor(FATCONFIG *fc)
{
		memset(bg_img,0x00,1152*2);
		MakeRandomFloorOrCeiling((unsigned short*)bg_img,/*ceiling*/TRUE);
		MakeRandomFloorOrCeiling((unsigned short*)bg_img,/*floor*/FALSE);

	fc->background = (unsigned short*)bg_img;
}
