// C Header File
// Created 7/24/2003; 11:10:36 AM

//The code in this file comes DIRECTLY from Wolfenstein 3D until noted otherwise.
//Thanks id Software!


void ChangeSpriteSet(FATCONFIG *fc);

/*
==============
=
= ConnectAreas
=
= Scans outward from playerarea, marking all connected areas
=
==============
*/

void RecursiveConnect (int areanumber)
{
	int	i;

	for (i=0;i<NUMAREAS;i++)
	{
		if (areaconnect[areanumber][i] && !areabyplayer[i])
		{
			areabyplayer[i] = TRUE;
			RecursiveConnect (i);
		}
	}
}


void ConnectAreas (void)
{
	memset (areabyplayer,0,sizeof(areabyplayer));
	areabyplayer[player->areanumber] = TRUE;
	RecursiveConnect (player->areanumber);
}


void InitAreas (void)
{
	memset (areabyplayer,0,sizeof(areabyplayer));
	areabyplayer[player->areanumber] = TRUE;
}

//////////////END code pulled from Wolf

void CheckAreas(FATCONFIG *fc)
{
	char *new = fc->map_data+(fc->cam_ypos&~63)+(fc->cam_xpos>>6);
	if(player->areanumber != TileToArea(*new) && *new!=OPEN_DOOR_TILE)//New Area
	{
		player->areanumber = TileToArea(*new);
	}
}
